## org.hibernate.internal.jaxb.mapping.orm
Class JaxbVersion

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbVersion

    public class JaxbVersion

extends Object

Field Summary
`protected JaxbAccessType` `access`
`protected JaxbColumn` `column`
`protected String` `name`
`protected JaxbTemporalType` `temporal`

Constructor Summary
`JaxbVersion()`

Method Summary
`JaxbAccessType` `getAccess()` Gets the value of the access property.
`JaxbColumn` `getColumn()` Gets the value of the column property.
`String` `getName()` Gets the value of the name property.
`JaxbTemporalType` `getTemporal()` Gets the value of the temporal property.
`void` `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` `setColumn(JaxbColumn value)` Sets the value of the column property.
`void` `setName(String value)` Sets the value of the name property.
`void` `setTemporal(JaxbTemporalType value)` Sets the value of the temporal property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### column

    protected JaxbColumn column

### temporal

    protected JaxbTemporalType temporal

### name

    protected String name

### access

    protected JaxbAccessType access

Constructor Detail

### JaxbVersion

    public JaxbVersion()

Method Detail

### getColumn

    public JaxbColumn getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `JaxbColumn`

### setColumn

    public void setColumn(JaxbColumn value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `JaxbColumn`

### getTemporal

    public JaxbTemporalType getTemporal()

  Gets the value of the temporal property.

  Returns:
    possible object is `JaxbTemporalType`

### setTemporal

    public void setTemporal(JaxbTemporalType value)

  Sets the value of the temporal property.

  Parameters:
    `value` - allowed object is `JaxbTemporalType`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.